aboutsummaryrefslogtreecommitdiffstats
path: root/main/dhcpcd-dbus/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-21 13:33:35 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-21 13:33:35 +0000
commite32a84df1f6d6eb7f72d82d3dc1838198e784432 (patch)
tree8e205403bdd1227ff5fcab074c6b2f7d43d11fe7 /main/dhcpcd-dbus/APKBUILD
parentac01c4ab99a130bcbcec089506ffe19374cea59d (diff)
downloadaports-e32a84df1f6d6eb7f72d82d3dc1838198e784432.tar.gz
aports-e32a84df1f6d6eb7f72d82d3dc1838198e784432.tar.bz2
aports-e32a84df1f6d6eb7f72d82d3dc1838198e784432.tar.xz
main/dhcpcd-dbus: upgrade to 0.5.2
Diffstat (limited to 'main/dhcpcd-dbus/APKBUILD')
-rw-r--r--main/dhcpcd-dbus/APKBUILD14
1 files changed, 8 insertions, 6 deletions
diff --git a/main/dhcpcd-dbus/APKBUILD b/main/dhcpcd-dbus/APKBUILD
index a74fffea2f..65b13913cd 100644
--- a/main/dhcpcd-dbus/APKBUILD
+++ b/main/dhcpcd-dbus/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=dhcpcd-dbus
-pkgver=0.4.2
-pkgrel=1
+pkgver=0.5.2
+pkgrel=0
pkgdesc="DBUS binding to dhcpcd"
url="http://roy.marples.name/projects/dhcpcd-dbus"
arch="x86 x86_64"
@@ -14,13 +14,15 @@ source="http://roy.marples.name/downloads/dhcpcd/dhcpcd-dbus-$pkgver.tar.bz2"
build() {
cd "$srcdir"/$pkgname-$pkgver
- make PREFIX=/usr SYSCONFDIR=/etc/dbus-1/system.d
+ ./configure --prefix=/usr \
+ --libexecdir=/usr/lib/$pkgname \
+ || return 1
+ make
}
package() {
cd "$srcdir"/$pkgname-$pkgver
- make DESTDIR="$pkgdir" PREFIX=/usr SYSCONFDIR=/etc/dbus-1/system.d \
- install
+ make DESTDIR="$pkgdir" install
}
-md5sums="c42ee474f21fd813abf5d04f56110a79 dhcpcd-dbus-0.4.2.tar.bz2"
+md5sums="29ab75851bc907d698add2087b0d28d3 dhcpcd-dbus-0.5.2.tar.bz2"